Page MenuHomePhabricator

Add femiwiki skin and extensions to Translatewiki.net
Closed, ResolvedPublic

Event Timeline

abi_ created this task.Oct 19 2019, 5:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2019, 5:02 AM

Change 540007 had a related patch set uploaded (by Abijeet Patro; owner: Lens0021):
[translatewiki@master] mwgithub: add femiwiki skin and extensions

https://gerrit.wikimedia.org/r/540007

abi_ triaged this task as Medium priority.Oct 19 2019, 5:05 AM

Change 540007 merged by jenkins-bot:
[translatewiki@master] mwgithub: add femiwiki skin and extensions

https://gerrit.wikimedia.org/r/540007

abi_ added a comment.Oct 21 2019, 12:51 PM

This has been deployed on Twn.

CategoryIntersectionSearch

Sanctions

Will be running exports later today to see if that works fine and will then resolve this task.

Change 544949 had a related patch set uploaded (by Lens0021; owner: Lens0021):
[translatewiki@master] Fix ID of FemiwikiSkin skin

https://gerrit.wikimedia.org/r/544949

abi_ added a comment.EditedOct 21 2019, 4:03 PM

@Lens0021 - In addition to the patch you just pushed, another problem during exports today,

[Symfony\Component\Process\Exception\ProcessFailedException]                                                                                                                                                                                               
The command "cd 'mwgithub/femiwiki/CategoryIntersectionSearch'; git add .; if ! git diff --cached --quiet; then git commit -m 'Localisation updates from https://translatewiki.net.'; git rebase 'origin/master' && git push origin 'master'; fi" failed.                                                                                                                                                                                                                  
Output:                                                                                                                                                                                                                                                    
================                                                                                                                                                                                                                                           
[master 4b52125] Localisation updates from https://translatewiki.net.                                                                                                                                                                                      
 3 files changed, 17 insertions(+), 10 deletions(-)                                                                                                                                                                                                        
 create mode 100644 i18n/roa-tara.json                                                                                                                                                                                                                     
Current branch master is up to date.                                                                                                                                                                                                                       
Error Output:                                                                                                                                                                                                                                              
================                                                                                                                                                                                                                                           
remote: error: GH006: Protected branch update failed for refs/heads/master.                                                                                                                                                                                
remote: error: At least 1 approving review is required by reviewers with write access.                                                                                                                                                                     
To git@github.com:femiwiki/CategoryIntersectionSearch.git                                                                                                                                                                                                  
 ! [remote rejected] master -> master (protected branch hook declined)                                                                                                                                                                                     
error: failed to push some refs to 'git@github.com:femiwiki/CategoryIntersectionSearch.git'

We currently do not support protected branches, so that will have to be removed. I assume that we will have the same issue with the other repos.

@abi_ I have changed the branch protection settings of femiwiki repositories. Now @translatewiki should be able to push commits without any review. Please retry

Change 544949 merged by jenkins-bot:
[translatewiki@master] Fix ID of FemiwikiSkin skin

https://gerrit.wikimedia.org/r/544949

abi_ added a comment.EditedOct 21 2019, 5:18 PM

@Lens0021 - Still not working. Tried with the CategoryIntersectionSearch repo. Unfortunately we'll have to disable the pull request review requirement completely for the time being.

@abi_ Oh, I have deleted all the branch protection rules this time.

abi_ added a comment.EditedOct 28 2019, 7:17 AM

@Lens0021 - Yes, thanks. I'll now mark this as resolved. We're tracking issues with protected branches under this task: T235103: Translation updates failing due to protected branches on Github

abi_ closed this task as Resolved.Oct 28 2019, 7:18 AM